
<form action="{% url admin-media-file-attach %}" method="post" id="{{meta.module_name}}_image_form" enctype="multipart/form-data">{% csrf_token %}

{% if form.errors %}
    <p class="errornote">
    Please correct the errors below.
    </p>
    <ul class="errorlist">
    {{ form.errors }}
    {{ form.non_field_errors|unordered_list }}
    </ul>
{% endif %}

{{ form.id }}
{{ form.model }}
<fieldset class="module aligned">
  <h2>{{title}}</h2>
  <div class="form-row">
    {{ form.filefile.label_tag }} {{ form.filefile }} &nbsp; <input type="submit" value="add file" />
  </div>
  <div class="form-row">
    {{form.file.label_tag}} {{form.file}}  &nbsp; <input type="submit" value="add file" />
  </div>
</fieldset>

<fieldset class="module">
<div class="form-row">
<label>Current Files: &nbsp; (drag files to select order)</label>
</div>
{% if model.files.all %}
{% load media util thumbnail %}
<ul id="sortable-files">
{% for file in model.files.all %}
    <li class="sortable-file" id="file_{{file.id}}">
      {% thumbnail file.filename 100x100 as thumb %}{% mimetype_image file.filename as mime_img %}
      <img src="{{thumb|default:mime_img}}" alt="{{file.filename}}" /><br/>
      <span>{{file.title}}</span>
      <div class="sortable-tools">
      <a href="{% url admin:media_file_change file.id %}" class="changelink">edit</a>
      <a href="{% url admin-media-file-delete_relation file.id meta.app_label meta.object_name model.pk %}" class="deletelink">delete</a>
      </div>
    </li>
{% endfor %}
</ul>

<script type="text/javascript">
$(function(){
    $('#sortable-files').sortable({
        'scroll': true,
        'update': function(e, ui){            
            var data = $(this).sortable('serialize').replace(/\[\]/g, '');
            data += '&model={{meta.app_label}}.{{meta.object_name}}';
            data += '&id={{model.pk}}';
            $.post('{% url admin-media-file-sort %}', data);
        }
    });
});
</script>

{% else %}
<p class="">No files yet...</p>
{% endif %}

</fieldset>
</form>
